<?php
/**
* @version		1.0
* @template		JF Simone
* @author		JoomForest - https://www.joomforest.com
* @copyright	Copyright (C) 2011-2018 JoomForest.com
* @license		http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
*/

// no direct access
defined('_JEXEC') or die('Restricted access');
?>
<!-- Typography
================================================== -->
<section id="typography">
	<div class="page-header"><h1>Typography</h1></div>

	<h2 id="headings">Headings</h2>
	<div class="bs-docs-example">
	<h1>h1. Heading 1</h1>
	<h2>h2. Heading 2</h2>
	<h3>h3. Heading 3</h3>
	<h4>h4. Heading 4</h4>
	<h5>h5. Heading 5</h5>
	<h6>h6. Heading 6</h6>
	</div>

	<h2 id="body-copy">Body copy</h2>
	<div class="bs-docs-example">
	<p>Nullam quis risus eget urna mollis ornare vel eu leo. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Nullam id dolor id nibh ultricies vehicula.</p>
	<p>Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Donec ullamcorper nulla non metus auctor fringilla. Duis mollis, est non commodo luctus, nisi erat porttitor ligula, eget lacinia odio sem nec elit. Donec ullamcorper nulla non metus auctor fringilla.</p>
	<p>Maecenas sed diam eget risus varius blandit sit amet non magna. Donec id elit non mi porta gravida at eget metus. Duis mollis, est non commodo luctus, nisi erat porttitor ligula, eget lacinia odio sem nec elit.</p>
	</div>

	<h3>Lead body copy</h3>
	<div class="bs-docs-example">
	<p class="lead">Vivamus sagittis lacus vel augue laoreet rutrum faucibus dolor auctor. Duis mollis, est non commodo luctus.</p>
	</div>

	<h3><code>&lt;small&gt;</code></h3>
	<div class="bs-docs-example">
	<p><small>This line of text is meant to be treated as fine print.</small></p>
	</div>

	<h3>Bold</h3>
	<div class="bs-docs-example">
	<p>The following snippet of text is <strong>rendered as bold text</strong>.</p>
	</div>

	<h3>Italics</h3>
	<div class="bs-docs-example">
	<p>The following snippet of text is <em>rendered as italicized text</em>.</p>
	</div>

	<h3>Alignment classes</h3>
	<div class="bs-docs-example">
	<p class="text-left">Left aligned text.</p>
	<p class="text-center">Center aligned text.</p>
	<p class="text-right">Right aligned text.</p>
	</div>

	<h3>Emphasis classes</h3>
	<div class="bs-docs-example">
	<p class="muted">Fusce dapibus, tellus ac cursus commodo, tortor mauris nibh.</p>
	<p class="text-warning">Etiam porta sem malesuada magna mollis euismod.</p>
	<p class="text-error">Donec ullamcorper nulla non metus auctor fringilla.</p>
	<p class="text-info">Aenean eu leo quam. Pellentesque ornare sem lacinia quam venenatis.</p>
	<p class="text-success">Duis mollis, est non commodo luctus, nisi erat porttitor ligula.</p>
	</div>

	<h3><code>&lt;abbr&gt;</code></h3>
	<div class="bs-docs-example">
	<p>An abbreviation of the word attribute is <abbr title="attribute">attr</abbr>.</p>
	</div>

	<h3><code>&lt;abbr class="initialism"&gt;</code></h3>
	<div class="bs-docs-example">
	<p><abbr title="HyperText Markup Language" class="initialism">HTML</abbr> is the best thing since sliced bread.</p>
	</div>

	<h3><code>&lt;address&gt;</code></h3>
	<div class="bs-docs-example">
	<address>
	  <strong>Twitter, Inc.</strong><br>
	  795 Folsom Ave, Suite 600<br>
	  San Francisco, CA 94107<br>
	  <abbr title="Phone">P:</abbr> (123) 456-7890
	</address>
	<address>
	  <strong>Full Name</strong><br>
	  <a href="mailto:#">first.last@example.com</a>
	</address>
	</div>

	<h3>Default blockquote</h3>
	<div class="bs-docs-example">
	<blockquote>
	  <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer posuere erat a ante.</p>
	</blockquote>
	</div>

	<h4>Naming a source</h4>
	<div class="bs-docs-example">
	<blockquote>
	  <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer posuere erat a ante.</p>
	  <small>Someone famous in <cite title="Source Title">Source Title</cite></small>
	</blockquote>
	</div>

	<h4>Alternate displays</h4>
	<div class="bs-docs-example" style="overflow: hidden;">
	<blockquote class="pull-right">
	  <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer posuere erat a ante.</p>
	  <small>Someone famous in <cite title="Source Title">Source Title</cite></small>
	</blockquote>
	</div>


	<h2 id="lists">Lists</h2>

	<h3>Unordered</h3>
	<div class="bs-docs-example">
	<ul>
	  <li>Lorem ipsum dolor sit amet</li>
	  <li>Consectetur adipiscing elit</li>
	  <li>Integer molestie lorem at massa</li>
	  <li>Facilisis in pretium nisl aliquet</li>
	  <li>Nulla volutpat aliquam velit
		<ul>
		  <li>Phasellus iaculis neque</li>
		  <li>Purus sodales ultricies</li>
		  <li>Vestibulum laoreet porttitor sem</li>
		  <li>Ac tristique libero volutpat at</li>
		</ul>
	  </li>
	  <li>Faucibus porta lacus fringilla vel</li>
	  <li>Aenean sit amet erat nunc</li>
	  <li>Eget porttitor lorem</li>
	</ul>
	</div>

	<h3>Ordered</h3>
	<div class="bs-docs-example">
	<ol>
	  <li>Lorem ipsum dolor sit amet</li>
	  <li>Consectetur adipiscing elit</li>
	  <li>Integer molestie lorem at massa</li>
	  <li>Facilisis in pretium nisl aliquet</li>
	  <li>Nulla volutpat aliquam velit</li>
	  <li>Faucibus porta lacus fringilla vel</li>
	  <li>Aenean sit amet erat nunc</li>
	  <li>Eget porttitor lorem</li>
	</ol>
	</div>

	<h3>Unstyled</h3>
	<div class="bs-docs-example">
	<ul class="unstyled">
	<li>Lorem ipsum dolor sit amet</li>
	<li>Consectetur adipiscing elit</li>
	<li>Integer molestie lorem at massa</li>
	<li>Facilisis in pretium nisl aliquet</li>
	<li>Nulla volutpat aliquam velit
	  <ul>
		<li>Phasellus iaculis neque</li>
		<li>Purus sodales ultricies</li>
		<li>Vestibulum laoreet porttitor sem</li>
		<li>Ac tristique libero volutpat at</li>
	  </ul>
	</li>
	<li>Faucibus porta lacus fringilla vel</li>
	<li>Aenean sit amet erat nunc</li>
	<li>Eget porttitor lorem</li>
	</ul>
	</div>

	<h3>Inline</h3>
	<div class="bs-docs-example">
	<ul class="inline">
	<li>Lorem ipsum</li>
	<li>Phasellus iaculis</li>
	<li>Nulla volutpat</li>
	</ul>
	</div>

	<h3>Description</h3>
	<div class="bs-docs-example">
	<dl>
	<dt>Description lists</dt>
	<dd>A description list is perfect for defining terms.</dd>
	<dt>Euismod</dt>
	<dd>Vestibulum id ligula porta felis euismod semper eget lacinia odio sem nec elit.</dd>
	<dd>Donec id elit non mi porta gravida at eget metus.</dd>
	<dt>Malesuada porta</dt>
	<dd>Etiam porta sem malesuada magna mollis euismod.</dd>
	</dl>
	</div>

	<h4>Horizontal description</h4>
	<div class="bs-docs-example">
	<dl class="dl-horizontal">
	<dt>Description lists</dt>
	<dd>A description list is perfect for defining terms.</dd>
	<dt>Euismod</dt>
	<dd>Vestibulum id ligula porta felis euismod semper eget lacinia odio sem nec elit.</dd>
	<dd>Donec id elit non mi porta gravida at eget metus.</dd>
	<dt>Malesuada porta</dt>
	<dd>Etiam porta sem malesuada magna mollis euismod.</dd>
	<dt>Felis euismod semper eget lacinia</dt>
	<dd>Fusce dapibus, tellus ac cursus commodo, tortor mauris condimentum nibh, ut fermentum massa justo sit amet risus.</dd>
	</dl>
	</div>
</section>


<!-- Code
================================================== -->
<section id="code">
	<div class="page-header"><h1>Code</h1></div>

	<h2>Inline</h2>
	<div class="bs-docs-example">
	  For example, <code>&lt;section&gt;</code> should be wrapped as inline.
	</div>

	<h2>Basic block</h2>
	<p>Use <code>&lt;pre&gt;</code> for multiple lines of code. Be sure to escape any angle brackets in the code for proper rendering.</p>
	<div class="bs-docs-example">
	  <pre>&lt;p&gt;Sample text here...&lt;/p&gt;</pre>
	</div>
</section>


<!-- Tables
================================================== -->
<section id="tables">
	<div class="page-header"><h1>Tables</h1></div>

	<h2>Default styles</h2>
	<div class="bs-docs-example">
	<table class="table">
	  <thead>
		<tr>
		  <th>#</th>
		  <th>First Name</th>
		  <th>Last Name</th>
		  <th>Username</th>
		</tr>
	  </thead>
	  <tbody>
		<tr>
		  <td>1</td>
		  <td>Mark</td>
		  <td>Otto</td>
		  <td>@mdo</td>
		</tr>
		<tr>
		  <td>2</td>
		  <td>Jacob</td>
		  <td>Thornton</td>
		  <td>@fat</td>
		</tr>
		<tr>
		  <td>3</td>
		  <td>Larry</td>
		  <td>the Bird</td>
		  <td>@twitter</td>
		</tr>
	  </tbody>
	</table>
	</div>

	<h3><code>.table-striped</code></h3>
	<div class="bs-docs-example">
	<table class="table table-striped">
	  <thead>
		<tr>
		  <th>#</th>
		  <th>First Name</th>
		  <th>Last Name</th>
		  <th>Username</th>
		</tr>
	  </thead>
	  <tbody>
		<tr>
		  <td>1</td>
		  <td>Mark</td>
		  <td>Otto</td>
		  <td>@mdo</td>
		</tr>
		<tr>
		  <td>2</td>
		  <td>Jacob</td>
		  <td>Thornton</td>
		  <td>@fat</td>
		</tr>
		<tr>
		  <td>3</td>
		  <td>Larry</td>
		  <td>the Bird</td>
		  <td>@twitter</td>
		</tr>
	  </tbody>
	</table>
	</div>

	<h3><code>.table-bordered</code></h3>
	<div class="bs-docs-example">
	<table class="table table-bordered">
	  <thead>
		<tr>
		  <th>#</th>
		  <th>First Name</th>
		  <th>Last Name</th>
		  <th>Username</th>
		</tr>
	  </thead>
	  <tbody>
		<tr>
		  <td rowspan="2">1</td>
		  <td>Mark</td>
		  <td>Otto</td>
		  <td>@mdo</td>
		</tr>
		<tr>
		  <td>Mark</td>
		  <td>Otto</td>
		  <td>@getbootstrap</td>
		</tr>
		<tr>
		  <td>2</td>
		  <td>Jacob</td>
		  <td>Thornton</td>
		  <td>@fat</td>
		</tr>
		<tr>
		  <td>3</td>
		  <td colspan="2">Larry the Bird</td>
		  <td>@twitter</td>
		</tr>
	  </tbody>
	</table>
	</div>

	<h3><code>.table-hover</code></h3>
	<div class="bs-docs-example">
	<table class="table table-hover">
	  <thead>
		<tr>
		  <th>#</th>
		  <th>First Name</th>
		  <th>Last Name</th>
		  <th>Username</th>
		</tr>
	  </thead>
	  <tbody>
		<tr>
		  <td>1</td>
		  <td>Mark</td>
		  <td>Otto</td>
		  <td>@mdo</td>
		</tr>
		<tr>
		  <td>2</td>
		  <td>Jacob</td>
		  <td>Thornton</td>
		  <td>@fat</td>
		</tr>
		<tr>
		  <td>3</td>
		  <td colspan="2">Larry the Bird</td>
		  <td>@twitter</td>
		</tr>
	  </tbody>
	</table>
	</div>

	<h3><code>.table-condensed</code></h3>
	<div class="bs-docs-example">
	<table class="table table-condensed">
	  <thead>
		<tr>
		  <th>#</th>
		  <th>First Name</th>
		  <th>Last Name</th>
		  <th>Username</th>
		</tr>
	  </thead>
	  <tbody>
		<tr>
		  <td>1</td>
		  <td>Mark</td>
		  <td>Otto</td>
		  <td>@mdo</td>
		</tr>
		<tr>
		  <td>2</td>
		  <td>Jacob</td>
		  <td>Thornton</td>
		  <td>@fat</td>
		</tr>
		<tr>
		  <td>3</td>
		  <td colspan="2">Larry the Bird</td>
		  <td>@twitter</td>
		</tr>
	  </tbody>
	</table>
	</div>

	<h2>Optional row classes</h2>
	<div class="bs-docs-example">
	<table class="table">
	  <thead>
		<tr>
		  <th>#</th>
		  <th>Product</th>
		  <th>Payment Taken</th>
		  <th>Status</th>
		</tr>
	  </thead>
	  <tbody>
		<tr class="success">
		  <td>1</td>
		  <td>TB - Monthly</td>
		  <td>01/04/2012</td>
		  <td>Approved</td>
		</tr>
		<tr class="error">
		  <td>2</td>
		  <td>TB - Monthly</td>
		  <td>02/04/2012</td>
		  <td>Declined</td>
		</tr>
		<tr class="warning">
		  <td>3</td>
		  <td>TB - Monthly</td>
		  <td>03/04/2012</td>
		  <td>Pending</td>
		</tr>
		<tr class="info">
		  <td>4</td>
		  <td>TB - Monthly</td>
		  <td>04/04/2012</td>
		  <td>Call in to confirm</td>
		</tr>
	  </tbody>
	</table>
	</div>

	<h2>Supported table markup</h2>
	<table class="table table-bordered table-striped">
	<colgroup>
	  <col class="span1">
	  <col class="span7">
	</colgroup>
	<thead>
	  <tr>
		<th>Tag</th>
		<th>Description</th>
	  </tr>
	</thead>
	<tbody>
	  <tr>
		<td>
		  <code>&lt;table&gt;</code>
		</td>
		<td>
		  Wrapping element for displaying data in a tabular format
		</td>
	  </tr>
	  <tr>
		<td>
		  <code>&lt;thead&gt;</code>
		</td>
		<td>
		  Container element for table header rows (<code>&lt;tr&gt;</code>) to label table columns
		</td>
	  </tr>
	  <tr>
		<td>
		  <code>&lt;tbody&gt;</code>
		</td>
		<td>
		  Container element for table rows (<code>&lt;tr&gt;</code>) in the body of the table
		</td>
	  </tr>
	  <tr>
		<td>
		  <code>&lt;tr&gt;</code>
		</td>
		<td>
		  Container element for a set of table cells (<code>&lt;td&gt;</code> or <code>&lt;th&gt;</code>) that appears on a single row
		</td>
	  </tr>
	  <tr>
		<td>
		  <code>&lt;td&gt;</code>
		</td>
		<td>
		  Default table cell
		</td>
	  </tr>
	  <tr>
		<td>
		  <code>&lt;th&gt;</code>
		</td>
		<td>
		  Special table cell for column (or row, depending on scope and placement) labels
		</td>
	  </tr>
	  <tr>
		<td>
		  <code>&lt;caption&gt;</code>
		</td>
		<td>
		  Description or summary of what the table holds, especially useful for screen readers
		</td>
	  </tr>
	</tbody>
	</table>
</section>


<!-- Forms
================================================== -->
<section id="forms">
	<div class="page-header"><h1>Forms</h1></div>

	<h2>Default styles</h2>
	<form class="bs-docs-example">
	<fieldset>
	  <legend>Legend</legend>
	  <label>Label name</label>
	  <input type="text" placeholder="Type something…">
	  <span class="help-block">Example block-level help text here.</span>
	  <label class="checkbox">
		<input type="checkbox"> Check me out
	  </label>
	  <button type="submit" class="btn">Submit</button>
	</fieldset>
	</form>

	<h3>Search form</h3>
	<form class="bs-docs-example form-search">
	<input type="text" class="input-medium search-query">
	<button type="submit" class="btn">Search</button>
	</form>

	<h3>Inline form</h3>
	<form class="bs-docs-example form-inline">
	<input type="text" class="input-small" placeholder="Email">
	<input type="password" class="input-small" placeholder="Password">
	<label class="checkbox">
	  <input type="checkbox"> Remember me
	</label>
	<button type="submit" class="btn">Sign in</button>
	</form>

	<h3>Horizontal form</h3>
	<form class="bs-docs-example form-horizontal">
	<div class="control-group">
	  <label class="control-label" for="inputEmail">Email</label>
	  <div class="controls">
		<input type="text" id="inputEmail" placeholder="Email">
	  </div>
	</div>
	<div class="control-group">
	  <label class="control-label" for="inputPassword">Password</label>
	  <div class="controls">
		<input type="password" id="inputPassword" placeholder="Password">
	  </div>
	</div>
	<div class="control-group">
	  <div class="controls">
		<label class="checkbox">
		  <input type="checkbox"> Remember me
		</label>
		<button type="submit" class="btn">Sign in</button>
	  </div>
	</div>
	</form>

	<h3>Inputs</h3>
	<form class="bs-docs-example form-inline">
	<input type="text" placeholder="Text input">
	</form>

	<h3>Textarea</h3>
	<form class="bs-docs-example form-inline">
	<textarea rows="3"></textarea>
	</form>

	<h4>Default (stacked)</h4>
	<form class="bs-docs-example">
	<label class="checkbox">
	  <input type="checkbox" value="">
	  Option one is this and that&mdash;be sure to include why it's great
	</label>
	<br>
	<label class="radio">
	  <input type="radio" name="optionsRadios" id="optionsRadios1" value="option1" checked>
	  Option one is this and that&mdash;be sure to include why it's great
	</label>
	<label class="radio">
	  <input type="radio" name="optionsRadios" id="optionsRadios2" value="option2">
	  Option two can be something else and selecting it will deselect option one
	</label>
	</form>

	<h4>Inline checkboxes</h4>
	<form class="bs-docs-example">
	<label class="checkbox inline">
	  <input type="checkbox" id="inlineCheckbox1" value="option1"> 1
	</label>
	<label class="checkbox inline">
	  <input type="checkbox" id="inlineCheckbox2" value="option2"> 2
	</label>
	<label class="checkbox inline">
	  <input type="checkbox" id="inlineCheckbox3" value="option3"> 3
	</label>
	</form>

	<h3>Selects</h3>
	<form class="bs-docs-example">
	<select>
	  <option>1</option>
	  <option>2</option>
	  <option>3</option>
	  <option>4</option>
	  <option>5</option>
	</select>
	<br>
	<select multiple="multiple">
	  <option>1</option>
	  <option>2</option>
	  <option>3</option>
	  <option>4</option>
	  <option>5</option>
	</select>
	</form>

	<h2>Extending form controls</h2>
	<form class="bs-docs-example">
	<div class="input-prepend">
	  <span class="add-on">@</span>
	  <input class="span2" id="prependedInput" type="text" placeholder="Username">
	</div>
	<br>
	<div class="input-append">
	  <input class="span2" id="appendedInput" type="text">
	  <span class="add-on">.00</span>
	</div>
	</form>

	<h4>Combined</h4>
	<form class="bs-docs-example form-inline">
	<div class="input-prepend input-append">
	  <span class="add-on">$</span>
	  <input class="span2" id="appendedPrependedInput" type="text">
	  <span class="add-on">.00</span>
	</div>
	</form>

	<h4>Buttons instead of text</h4>
	<form class="bs-docs-example">
	<div class="input-append">
	  <input class="span2" id="appendedInputButton" type="text">
	  <button class="btn" type="button">Go!</button>
	</div>
	</form>

	<form class="bs-docs-example">
	<div class="input-append">
	  <input class="span2" id="appendedInputButtons" type="text">
	  <button class="btn" type="button">Search</button>
	  <button class="btn" type="button">Options</button>
	</div>
	</form>

	<h4>Button dropdowns</h4>
	<form class="bs-docs-example">
	<div class="input-append">
	  <input class="span2" id="appendedDropdownButton" type="text">
	  <div class="btn-group">
		<button class="btn dropdown-toggle" data-toggle="dropdown">Action <span class="caret"></span></button>
		<ul class="dropdown-menu">
		  <li><a href="#">Action</a></li>
		  <li><a href="#">Another action</a></li>
		  <li><a href="#">Something else here</a></li>
		  <li class="divider"></li>
		  <li><a href="#">Separated link</a></li>
		</ul>
	  </div><!-- /btn-group -->
	</div><!-- /input-append -->
	</form>

	<form class="bs-docs-example">
	<div class="input-prepend">
	  <div class="btn-group">
		<button class="btn dropdown-toggle" data-toggle="dropdown">Action <span class="caret"></span></button>
		<ul class="dropdown-menu">
		  <li><a href="#">Action</a></li>
		  <li><a href="#">Another action</a></li>
		  <li><a href="#">Something else here</a></li>
		  <li class="divider"></li>
		  <li><a href="#">Separated link</a></li>
		</ul>
	  </div><!-- /btn-group -->
	  <input class="span2" id="prependedDropdownButton" type="text">
	</div><!-- /input-prepend -->
	</form>

	<form class="bs-docs-example">
	<div class="input-prepend input-append">
	  <div class="btn-group">
		<button class="btn dropdown-toggle" data-toggle="dropdown">Action <span class="caret"></span></button>
		<ul class="dropdown-menu">
		  <li><a href="#">Action</a></li>
		  <li><a href="#">Another action</a></li>
		  <li><a href="#">Something else here</a></li>
		  <li class="divider"></li>
		  <li><a href="#">Separated link</a></li>
		</ul>
	  </div><!-- /btn-group -->
	  <input class="span2" id="appendedPrependedDropdownButton" type="text">
	  <div class="btn-group">
		<button class="btn dropdown-toggle" data-toggle="dropdown">Action <span class="caret"></span></button>
		<ul class="dropdown-menu">
		  <li><a href="#">Action</a></li>
		  <li><a href="#">Another action</a></li>
		  <li><a href="#">Something else here</a></li>
		  <li class="divider"></li>
		  <li><a href="#">Separated link</a></li>
		</ul>
	  </div><!-- /btn-group -->
	</div><!-- /input-prepend input-append -->
	</form>

	<h4>Segmented dropdown groups</h4>
	<form class="bs-docs-example">
	<div class="input-prepend">
	  <div class="btn-group">
		<button class="btn" tabindex="-1">Action</button>
		<button class="btn dropdown-toggle" data-toggle="dropdown" tabindex="-1">
		  <span class="caret"></span>
		</button>
		<ul class="dropdown-menu">
		  <li><a href="#">Action</a></li>
		  <li><a href="#">Another action</a></li>
		  <li><a href="#">Something else here</a></li>
		  <li class="divider"></li>
		  <li><a href="#">Separated link</a></li>
		</ul>
	  </div>
	  <input type="text">
	</div>
	<div class="input-append">
	  <input type="text">
	  <div class="btn-group">
		<button class="btn" tabindex="-1">Action</button>
		<button class="btn dropdown-toggle" data-toggle="dropdown" tabindex="-1">
		  <span class="caret"></span>
		</button>
		<ul class="dropdown-menu">
		  <li><a href="#">Action</a></li>
		  <li><a href="#">Another action</a></li>
		  <li><a href="#">Something else here</a></li>
		  <li class="divider"></li>
		  <li><a href="#">Separated link</a></li>
		</ul>
	  </div>
	</div>
	</form>

	<h4>Search form</h4>
	<form class="bs-docs-example form-search">
	<div class="input-append">
	  <input type="text" class="span2 search-query">
	  <button type="submit" class="btn">Search</button>
	</div>
	<div class="input-prepend">
	  <button type="submit" class="btn">Search</button>
	  <input type="text" class="span2 search-query">
	</div>
	</form>

	<h4>Block level inputs</h4>
	<form class="bs-docs-example" style="padding-bottom: 15px;">
	<div class="controls">
	  <input class="input-block-level" type="text" placeholder=".input-block-level">
	</div>
	</form>

	<h4>Relative sizing</h4>
	<form class="bs-docs-example" style="padding-bottom: 15px;">
	<div class="controls docs-input-sizes">
	  <input class="input-mini" type="text" placeholder=".input-mini">
	  <input class="input-small" type="text" placeholder=".input-small">
	  <input class="input-medium" type="text" placeholder=".input-medium">
	  <input class="input-large" type="text" placeholder=".input-large">
	  <input class="input-xlarge" type="text" placeholder=".input-xlarge">
	  <input class="input-xxlarge" type="text" placeholder=".input-xxlarge">
	</div>
	</form>

	<h4>Grid sizing</h4>
	<form class="bs-docs-example" style="padding-bottom: 15px;">
	<div class="controls docs-input-sizes">
	  <input class="span1" type="text" placeholder=".span1">
	  <input class="span2" type="text" placeholder=".span2">
	  <input class="span3" type="text" placeholder=".span3">
	  <select class="span1">
		<option>1</option>
		<option>2</option>
		<option>3</option>
		<option>4</option>
		<option>5</option>
	  </select>
	  <select class="span2">
		<option>1</option>
		<option>2</option>
		<option>3</option>
		<option>4</option>
		<option>5</option>
	  </select>
	  <select class="span3">
		<option>1</option>
		<option>2</option>
		<option>3</option>
		<option>4</option>
		<option>5</option>
	  </select>
	</div>
	</form>

	<form class="bs-docs-example" style="padding-bottom: 15px;">
	<div class="controls">
	  <input class="span5" type="text" placeholder=".span5">
	</div>
	<div class="controls controls-row">
	  <input class="span4" type="text" placeholder=".span4">
	  <input class="span1" type="text" placeholder=".span1">
	</div>
	<div class="controls controls-row">
	  <input class="span3" type="text" placeholder=".span3">
	  <input class="span2" type="text" placeholder=".span2">
	</div>
	<div class="controls controls-row">
	  <input class="span2" type="text" placeholder=".span2">
	  <input class="span3" type="text" placeholder=".span3">
	</div>
	<div class="controls controls-row">
	  <input class="span1" type="text" placeholder=".span1">
	  <input class="span4" type="text" placeholder=".span4">
	</div>
	</form>

	<h3>Uneditable inputs</h3>
	<form class="bs-docs-example">
	<span class="input-xlarge uneditable-input">Some value here</span>
	</form>

	<h3>Form actions</h3>
	<form class="bs-docs-example">
	<div class="form-actions">
	  <button type="submit" class="btn btn-primary">Save changes</button>
	  <button type="button" class="btn">Cancel</button>
	</div>
	</form>

	<h4>Inline help</h4>
	<form class="bs-docs-example form-inline">
	<input type="text"> <span class="help-inline">Inline help text</span>
	</form>

	<h4>Block help</h4>
	<form class="bs-docs-example form-inline">
	<input type="text">
	<span class="help-block">A longer block of help text that breaks onto a new line and may extend beyond one line.</span>
	</form>

	<h3>Input focus</h3>
	<form class="bs-docs-example form-inline">
	<input class="input-xlarge focused" id="focusedInput" type="text" value="This is focused...">
	</form>

	<h3>Invalid inputs</h3>
	<form class="bs-docs-example form-inline">
	<input class="span3" type="email" placeholder="test@example.com" required>
	</form>

	<h3>Disabled inputs</h3>
	<form class="bs-docs-example form-inline">
	<input class="input-xlarge" id="disabledInput" type="text" placeholder="Disabled input here…" disabled>
	</form>

	<h3>Validation states</h3>
	<form class="bs-docs-example form-horizontal">
	<div class="control-group warning">
	  <label class="control-label" for="inputWarning">Input with warning</label>
	  <div class="controls">
		<input type="text" id="inputWarning">
		<span class="help-inline">Something may have gone wrong</span>
	  </div>
	</div>
	<div class="control-group error">
	  <label class="control-label" for="inputError">Input with error</label>
	  <div class="controls">
		<input type="text" id="inputError">
		<span class="help-inline">Please correct the error</span>
	  </div>
	</div>
	<div class="control-group info">
	  <label class="control-label" for="inputInfo">Input with info</label>
	  <div class="controls">
		<input type="text" id="inputInfo">
		<span class="help-inline">Username is taken</span>
	  </div>
	</div>
	<div class="control-group success">
	  <label class="control-label" for="inputSuccess">Input with success</label>
	  <div class="controls">
		<input type="text" id="inputSuccess">
		<span class="help-inline">Woohoo!</span>
	  </div>
	</div>
	</form>
</section>


<!-- Buttons
================================================== -->
<section id="buttons">
	<div class="page-header"><h1>Buttons</h1></div>

	<h2>Default buttons</h2>
	<table class="table table-bordered table-striped">
	<thead>
	  <tr>
		<th>Button</th>
		<th>class=""</th>
		<th>Description</th>
	  </tr>
	</thead>
	<tbody>
	  <tr>
		<td><button type="button" class="btn">Default</button></td>
		<td><code>btn</code></td>
		<td>Standard gray button with gradient</td>
	  </tr>
	  <tr>
		<td><button type="button" class="btn btn-primary">Primary</button></td>
		<td><code>btn btn-primary</code></td>
		<td>Provides extra visual weight and identifies the primary action in a set of buttons</td>
	  </tr>
	  <tr>
		<td><button type="button" class="btn btn-info">Info</button></td>
		<td><code>btn btn-info</code></td>
		<td>Used as an alternative to the default styles</td>
	  </tr>
	  <tr>
		<td><button type="button" class="btn btn-success">Success</button></td>
		<td><code>btn btn-success</code></td>
		<td>Indicates a successful or positive action</td>
	  </tr>
	  <tr>
		<td><button type="button" class="btn btn-warning">Warning</button></td>
		<td><code>btn btn-warning</code></td>
		<td>Indicates caution should be taken with this action</td>
	  </tr>
	  <tr>
		<td><button type="button" class="btn btn-danger">Danger</button></td>
		<td><code>btn btn-danger</code></td>
		<td>Indicates a dangerous or potentially negative action</td>
	  </tr>
	  <tr>
		<td><button type="button" class="btn btn-inverse">Inverse</button></td>
		<td><code>btn btn-inverse</code></td>
		<td>Alternate dark gray button, not tied to a semantic action or use</td>
	  </tr>
	  <tr>
		<td><button type="button" class="btn btn-link">Link</button></td>
		<td><code>btn btn-link</code></td>
		<td>Deemphasize a button by making it look like a link while maintaining button behavior</td>
	  </tr>
	</tbody>
	</table>

	<h2>Button sizes</h2>
	<div class="bs-docs-example">
	<p>
	  <button type="button" class="btn btn-large btn-primary">Large button</button>
	  <button type="button" class="btn btn-large">Large button</button>
	</p>
	<p>
	  <button type="button" class="btn btn-primary">Default button</button>
	  <button type="button" class="btn">Default button</button>
	</p>
	<p>
	  <button type="button" class="btn btn-small btn-primary">Small button</button>
	  <button type="button" class="btn btn-small">Small button</button>
	</p>
	<p>
	  <button type="button" class="btn btn-mini btn-primary">Mini button</button>
	  <button type="button" class="btn btn-mini">Mini button</button>
	</p>
	</div>

	<div class="bs-docs-example">
	<div class="well" style="max-width: 400px; margin: 0 auto 10px;">
	  <button type="button" class="btn btn-large btn-block btn-primary">Block level button</button>
	  <button type="button" class="btn btn-large btn-block">Block level button</button>
	</div>
	</div>

	<h3>Anchor element</h3>
	<p class="bs-docs-example">
	<a href="#" class="btn btn-large btn-primary disabled">Primary link</a>
	<a href="#" class="btn btn-large disabled">Link</a>
	</p>

	<h3>Button element</h3>
	<p class="bs-docs-example">
	<button type="button" class="btn btn-large btn-primary disabled" disabled="disabled">Primary button</button>
	<button type="button" class="btn btn-large" disabled>Button</button>
	</p>


	<h2>One class, multiple tags</h2>
	<form class="bs-docs-example">
	<a class="btn" href="">Link</a>
	<button class="btn" type="submit">Button</button>
	<input class="btn" type="button" value="Input">
	<input class="btn" type="submit" value="Submit">
	</form>
</section>
