<?php
/**
 * Kunena Component
 * @package         Kunena.Template.Crypsis
 * @subpackage      Layout.Widget
 *
 * @copyright       Copyright (C) 2008 - 2018 Kunena Team. All rights reserved.
 * @license         https://www.gnu.org/copyleft/gpl.html GNU/GPL
 * @link            https://www.kunena.org
 **/
defined('_JEXEC') or die;

$config = KunenaFactory::getTemplate()->params;
?>

<div id="kunena" class="layout <?php echo $this->options->get('pageclass_sfx'); ?>">
<?php if ($config->get('jf_ku_Preloader')) { ?>
	<div id="jf_ku_preloader" class="jf_ku_preloader_loading">
		<svg width="62" height="62" viewBox="0 0 44 44" xmlns="http://www.w3.org/2000/svg" stroke="#ff4081">
			<g fill="none" fill-rule="evenodd" stroke-width="2">
				<circle cx="22" cy="22" r="1">
					<animate attributeName="r" begin="0s" dur="1.8s" values="1; 20" calcMode="spline" keyTimes="0; 1" keySplines="0.165, 0.84, 0.44, 1" repeatCount="indefinite" />
					<animate attributeName="stroke-opacity" begin="0s" dur="1.8s" values="1; 0" calcMode="spline" keyTimes="0; 1" keySplines="0.3, 0.61, 0.355, 1" repeatCount="indefinite" />
				</circle>
				<circle cx="22" cy="22" r="1">
					<animate attributeName="r" begin="-0.9s" dur="1.8s" values="1; 20" calcMode="spline" keyTimes="0; 1" keySplines="0.165, 0.84, 0.44, 1" repeatCount="indefinite" />
					<animate attributeName="stroke-opacity" begin="-0.9s" dur="1.8s" values="1; 0" calcMode="spline" keyTimes="0; 1" keySplines="0.3, 0.61, 0.355, 1" repeatCount="indefinite" />
				</circle>
			</g>
		</svg>
	</div>
<?php } ?>
<?php if ($config->get('jf_ku_Layout') == "1") { ?>
<div class="jf_ku_side_block">
	<button class="jf_ku_side_block_close"><svg viewBox="0 0 10.2 10.2"><path d="M5.8,5.1l4.4,4.4l-0.7,0.7L5.1,5.8l-4.4,4.4L0,9.5l4.4-4.4L0,0.7L0.7,0l4.4,4.4L9.5,0l0.7,0.7L5.8,5.1z"></path></svg></button>
	<?php echo $this->subRequest('Widget/Login'); ?>
	<?php if ($config->get('displayMenu')){echo $this->subLayout('Widget/MenuBar');} ?>
</div>
<?php } ?>
<div class="jf_ku_main_block<?php if (!$config->get('jf_ku_Layout')) { ?> full<?php } ?>" data-jfku="jf">
	<?php

	if ($config->get('displayMenu') && !$config->get('jf_ku_Layout'))
	{
		echo $this->subLayout('Widget/MenuBar');
	} else {
		echo $this->subLayout('Widget/SearchBar');
	}

	if ($config->get('displayModule'))
	{
		echo $this->subLayout('Widget/Module')->set('position', 'kunena_top');
	}

	if ($config->get('displayBreadcrumb'))
	{
		echo $this->subLayout('Widget/Breadcrumb')->set('breadcrumb', $this->breadcrumb);
	}

	if ($config->get('displayAnnouncement'))
	{
		echo $this->subRequest('Widget/Announcement');
	}

	// Display current view/layout
	echo $this->content;

	if ($config->get('displayBreadcrumb'))
	{
		echo $this->subLayout('Widget/Breadcrumb')->set('breadcrumb', $this->breadcrumb);
	}

	if ($config->get('displayModule'))
	{
		echo $this->subLayout('Widget/Module')->set('position', 'kunena_bottom');
	}

	if ($config->get('displayFooter'))
	{
		echo $this->subLayout('Widget/Footer');
	}
	?>
<?php include dirname(__FILE__).'/../../jf/jf_branding_ku.php'; ?>
</div>
<?php if ($config->get('jf_ku_Layout') == "2") { ?>
<div class="jf_ku_side_block">
	<button class="jf_ku_side_block_close"><svg viewBox="0 0 10.2 10.2"><path d="M5.8,5.1l4.4,4.4l-0.7,0.7L5.1,5.8l-4.4,4.4L0,9.5l4.4-4.4L0,0.7L0.7,0l4.4,4.4L9.5,0l0.7,0.7L5.8,5.1z"></path></svg></button>
	<?php echo $this->subRequest('Widget/Login'); ?>
	<?php if ($config->get('displayMenu')){echo $this->subLayout('Widget/MenuBar');} ?>
</div>
<?php } ?>
<?php 
	//include dirname(__FILE__).'/../../jf/jf_ku_test_all.php'; 
?>
</div>
