<?php
/**
 * Kunena Component
 * @package         Kunena.Template.Crypsis
 * @subpackage      Layout.Topic
 *
 * @copyright       Copyright (C) 2008 - 2018 Kunena Team. All rights reserved.
 * @license         https://www.gnu.org/copyleft/gpl.html GNU/GPL
 * @link            https://www.kunena.org
 **/
defined('_JEXEC') or die;

use Joomla\CMS\Language\Text;

$topic = $this->topic;
$me    = KunenaUserHelper::getMyself();

$this->addScript('assets/js/topic.js');

Text::script('COM_KUNENA_RATE_LOGIN');
Text::script('COM_KUNENA_RATE_NOT_YOURSELF');
Text::script('COM_KUNENA_RATE_ALLREADY');
Text::script('COM_KUNENA_RATE_SUCCESSFULLY_SAVED');
Text::script('COM_KUNENA_RATE_NOT_ALLOWED_WHEN_BANNED');

Text::script('COM_KUNENA_SOCIAL_EMAIL_LABEL');
Text::script('COM_KUNENA_SOCIAL_TWITTER_LABEL');
Text::script('COM_KUNENA_SOCIAL_FACEBOOK_LABEL');
Text::script('COM_KUNENA_SOCIAL_GOOGLEPLUS_LABEL');
Text::script('COM_KUNENA_SOCIAL_LINKEDIN_LABEL');
Text::script('COM_KUNENA_SOCIAL_PINTEREST_LABEL');
Text::script('COM_KUNENA_SOCIAL_STUMBLEUPON_LABEL');
Text::script('COM_KUNENA_SOCIAL_WHATSAPP_LABEL');

$this->addStyleSheet('assets/css/jquery.atwho.css');

// Load caret.js always before atwho.js script and use it for autocomplete, emojiis...
$this->addScript('assets/js/jquery.caret.js');
$this->addScript('assets/js/jquery.atwho.js');

if (KunenaConfig::getInstance()->ratingenabled)
{
	$this->addStyleSheet('assets/css/rating.css');
	$this->addScript('assets/js/rating.js');
	$this->addScript('assets/js/krating.js');

	Text::script('COM_KUNENA_RATING_SUCCESS_LABEL');
	Text::script('COM_KUNENA_RATING_WARNING_LABEL');
}

$this->ktemplate = KunenaFactory::getTemplate();
$social          = $this->ktemplate->params->get('socialshare');
$quick           = $this->ktemplate->params->get('quick');
$txt             = '';

if ($topic->ordering)
{
	$txt .= ' topic-sticky';
}

if ($topic->locked)
{
	$txt .= ' topic-locked';
}
?>

<div class="kunena-topic-item <?php echo $txt; ?>">
	<?php if ($this->category->headerdesc) : ?>
		<div class="alert alert-info">
			<a class="close" data-dismiss="alert" href="#">&times;</a>
			<?php echo $this->category->displayField('headerdesc'); ?>
		</div>
	<?php endif; ?>

	<h1 class="jf_ku_topic_title">
		<?php echo $topic->getIcon($topic->getCategory()->iconset); ?>
		<?php
		if ($this->ktemplate->params->get('labels') != 0)
		{
			echo $this->subLayout('Widget/Label')->set('topic', $this->topic)->setLayout('default');
		}
		?>
		<?php echo $topic->displayField('subject'); ?>
		<?php echo $this->subLayout('Topic/Item/Rating')->set('category', $this->category)->set('topic', $topic)->set('config', $this->config); ?>
	</h1>
	<div class="clear"></div>

	<div class="pull-left"><?php echo $this->subRequest('Topic/Item/Actions')->set('id', $topic->id); ?></div>

	<?php if ($social == 1 && $me->socialshare != 0 || $social == 1 && !$me->exists()) : ?>
		<div class="pull-right"><?php echo $this->subLayout('Widget/Social'); ?></div>
	<?php endif; ?>

	<?php if ($social == 2 && $me->socialshare != 0 || $social == 2 && !$me->exists()) : ?>
		<div class="pull-right"><?php echo $this->subLayout('Widget/Socialcustomtag'); ?></div>
	<?php endif; ?>
	<div class="clear"></div>
	<?php
	if ($this->ktemplate->params->get('displayModule'))
	{
		echo $this->subLayout('Widget/Module')->set('position', 'kunena_topictitle');
	}

	echo $this->subRequest('Topic/Poll')->set('id', $topic->id);

	if ($this->ktemplate->params->get('displayModule'))
	{
		echo $this->subLayout('Widget/Module')->set('position', 'kunena_poll');
	}
	?>
	<div class="pull-right padding_15_0">
		<?php echo $this->subLayout('Widget/Pagination/List')
			->set('pagination', $this->pagination)
			->set('display', true); ?>
	</div>

	<div class="clearfix"></div>
	<?php
	$count = 1;
	foreach ($this->messages as $id => $message)
	{
		echo $this->subRequest('Topic/Item/Message')
			->set('mesid', $message->id)
			->set('location', $id);

		if ($this->ktemplate->params->get('displayModule'))
		{
			echo $this->subLayout('Widget/Module')
				->set('position', 'kunena_msg_row_' . $count++);
		}
	}

	if ($quick == 2 && KunenaConfig::getInstance()->quickreply)
	{
		echo $this->subLayout('Message/Edit')
			->set('message', $this->message)
			->setLayout('full');
	}
	?>

	<div class="pull-left">
		<?php echo $this->subLayout('Widget/Pagination/List')
			->set('pagination', $this->pagination)
			->set('display', true); ?>
	</div>

	<?php if ($this->ktemplate->params->get('writeaccess')) : ?>
		<div><?php echo $this->subLayout('Widget/Writeaccess')->set('id', $topic->id); ?></div>
	<?php endif;

	if ($this->config->enableforumjump)
	{
		echo $this->subLayout('Widget/Forumjump')->set('categorylist', $this->categorylist);
	} ?>

	<div class="pull-right"><?php echo $this->subLayout('Category/Moderators')->set('moderators', $this->category->getModerators(false)); ?></div>

	<div class="clearfix"></div>
</div>
