<?php
/**
 * Kunena Component
 * @package         Kunena.Template.Crypsis
 * @subpackage      Layout.Widget
 *
 * @copyright       Copyright (C) 2008 - 2018 Kunena Team. All rights reserved.
 * @license         https://www.gnu.org/copyleft/gpl.html GNU/GPL
 * @link            https://www.kunena.org
 **/
defined('_JEXEC') or die;
use Joomla\CMS\HTML\HTMLHelper;
$config = KunenaFactory::getTemplate()->params;
?>
<?php if (!$config->get('jf_ku_Layout')) { ?>
<div class="visible-desktop">
	<?php if ($config->get('displayDropdownMenu')) : ?>
		<?php echo $this->setLayout('desktop'); ?>
	<?php endif; ?>
</div>
<div class="hidden-desktop">
	<div class="nav navbar-nav pull-left">
		<div><a class="btn btn-link" data-toggle="collapse"
		        data-target=".knav-collapse"><?php echo KunenaIcons::hamburger(); ?></a></div>
		<div class="knav-collapse"><?php echo $this->subRequest('Widget/Menu'); ?></div>
	</div>
	<?php if ($config->get('displayDropdownMenu')) : ?>
		<?php echo $this->setLayout('mobile'); ?>
	<?php endif; ?>
</div>
<?php } else { ?>
	<div class="jf_ku_login_login">
		<div class="jf_ku_login_title"><?php echo JText::_('JF_KU_FORUM_LOGIN'); ?></div>
		<form action="<?php echo JRoute::_('index.php?option=com_kunena'); ?>" method="post">
			<input type="hidden" name="view" value="user"/>
			<input type="hidden" name="task" value="login"/>
			<?php echo HTMLHelper::_('form.token'); ?>
			
			<div class="jf_ku_login_inputwrap">
				<input type="text" name="username" tabindex="1" size="18" placeholder="<?php echo JText::_('JGLOBAL_USERNAME'); ?>" />
				<?php if ($this->remindUsernameUrl) : ?>
					<a href="<?php echo $this->remindUsernameUrl; ?>" data-toggle="tooltip" data-placement="left" title="<?php echo JText::_('COM_KUNENA_PROFILEBOX_FORGOT_USERNAME'); ?>">?</a>
				<?php endif ?>
			</div>
			
			<div class="jf_ku_login_inputwrap">
				<input type="password" name="password" tabindex="2"  size="18" placeholder="<?php echo JText::_('JGLOBAL_PASSWORD'); ?>" />
				<?php if ($this->resetPasswordUrl) : ?>
					<a href="<?php echo $this->resetPasswordUrl; ?>" data-toggle="tooltip" data-placement="left" title="<?php echo JText::_('COM_KUNENA_PROFILEBOX_FORGOT_PASSWORD'); ?>">?</a>
				<?php endif ?>
			</div>
			

			<?php $login = KunenaLogin::getInstance(); ?>
			<?php if ($login->getTwoFactorMethods() > 1) : ?>
				<input id="k-lgn-secretkey" type="text" name="secretkey" tabindex="3"
							size="18" placeholder="<?php echo JText::_('COM_KUNENA_LOGIN_SECRETKEY'); ?>" />
			<?php endif; ?>

			<?php if ($this->rememberMe) : ?>
			<div class="control-group center">
				<input id="login-remember" type="checkbox" name="remember" class="inputbox" value="yes" />
				<label for="login-remember" class="control-label">
					<?php echo JText::_('JGLOBAL_REMEMBER_ME'); ?>
				</label>
			</div>
			<?php endif; ?>

			<div class="center">
				<button type="submit" tabindex="3" name="submit" class="btn btn-primary btn">
					<span><?php echo JText::_('JLOGIN'); ?></span>
					<svg width="24" height="24" viewBox="0 0 44 44" xmlns="http://www.w3.org/2000/svg" stroke="#fff">
						<g fill="none" fill-rule="evenodd" stroke-width="3">
							<circle cx="22" cy="22" r="16.3236">
								<animate attributeName="r" begin="0s" dur="1.8s" values="1; 20" calcMode="spline" keyTimes="0; 1" keySplines="0.165, 0.84, 0.44, 1" repeatCount="indefinite"></animate>
								<animate attributeName="stroke-opacity" begin="0s" dur="1.8s" values="1; 0" calcMode="spline" keyTimes="0; 1" keySplines="0.3, 0.61, 0.355, 1" repeatCount="indefinite"></animate>
							</circle>
							<circle cx="22" cy="22" r="19.902">
								<animate attributeName="r" begin="-0.9s" dur="1.8s" values="1; 20" calcMode="spline" keyTimes="0; 1" keySplines="0.165, 0.84, 0.44, 1" repeatCount="indefinite"></animate>
								<animate attributeName="stroke-opacity" begin="-0.9s" dur="1.8s" values="1; 0" calcMode="spline" keyTimes="0; 1" keySplines="0.3, 0.61, 0.355, 1" repeatCount="indefinite"></animate>
							</circle>
						</g>
					</svg>
				</button>

				<div class="jf_ku_login_bottomlinks">

					<?php if ($this->registrationUrl) : ?>
					<a href="<?php echo $this->registrationUrl; ?>">
						<?php echo JText::_('COM_KUNENA_PROFILEBOX_CREATE_ACCOUNT'); ?>
					</a>
					<?php endif ?>

				</div>
			</div>
		</form>
		<?php echo $this->subLayout('Widget/Module')->set('position', 'kunena_login'); ?>
	</div>
<?php } ?>