<?php
/**
 * Kunena Component
 *
 * @package         Kunena.Template.Crypsis
 * @subpackage      Layout.Widget
 *
 * @copyright       Copyright (C) 2008 - 2018 Kunena Team. All rights reserved.
 * @license         https://www.gnu.org/copyleft/gpl.html GNU/GPL
 * @link            https://www.kunena.org
 **/
defined('_JEXEC') or die;

use Joomla\CMS\HTML\HTMLHelper;
use Joomla\CMS\Language\Text;
$markAllReadUrl = KunenaForumCategoryHelper::get()->getMarkReadUrl();
$config         = KunenaFactory::getConfig();
$status         = $config->user_status;
$config         = KunenaFactory::getTemplate()->params;
?>
<?php if (!KunenaFactory::getTemplate()->params->get('jf_ku_Layout')) { ?>
<div class="klogout">
	<div class="nav navbar-nav pull-left hidden-desktop">
		<div><a class="btn btn-link" data-toggle="collapse"
		        data-target=".knav-collapse"><?php echo KunenaIcons::hamburger(); ?></a></div>
		<div class="knav-collapse"><?php echo $this->subRequest('Widget/Menu'); ?></div>
	</div>
	<?php if ($config->get('displayDropdownMenu')) : ?>
		<ul class="nav pull-right">
			<li class="dropdown mobile-user">
				<a href="#" class="dropdown-toggle" data-toggle="dropdown">
			<span class="kwho-<?php echo $this->me->getType(0, true); ?>">
			<?php
			$showOnlineStatus = ($this->me->showOnline == 1) ? true : false;

			if ($this->me->getStatus() == 0 && $status && $showOnlineStatus) :
				echo $this->me->getAvatarImage(KunenaFactory::getTemplate()->params->get('avatarType') . ' green', 20, 20, 'green');
			elseif ($this->me->getStatus() == 1 && $status && $showOnlineStatus) :
				echo $this->me->getAvatarImage(KunenaFactory::getTemplate()->params->get('avatarType') . ' yellow', 20, 20, 'yellow');
			elseif ($this->me->getStatus() == 2 && $status && $showOnlineStatus) :
				echo $this->me->getAvatarImage(KunenaFactory::getTemplate()->params->get('avatarType') . ' red', 20, 20, 'red');
			elseif ($this->me->getStatus() == 3 && $status || !$showOnlineStatus) :
				echo $this->me->getAvatarImage(KunenaFactory::getTemplate()->params->get('avatarType') . ' grey', 20, 20, 'grey');
			else :
				echo $this->me->getAvatarImage(KunenaFactory::getTemplate()->params->get('avatarType') . ' none', 20, 20, 'none');
			endif; ?>
				<b class="caret"></b>
				</span>
				</a>

				<div class="dropdown-menu" id="nav-menu">
					<?php if (KunenaFactory::getTemplate()->params->get('displayDropdownContent')) : ?>
						<div class="center">
							<p>
								<?php echo $this->me->getLink(null, null, '', '', KunenaTemplate::getInstance()->tooltips()); ?>
							</p>
							<a class="kwho-<?php echo $this->me->getType(0, true); ?>"
							   href="<?php echo $this->me->getURL(); ?>">
								<?php echo $this->me->getAvatarImage(KunenaFactory::getTemplate()->params->get('avatarType'), 'post'); ?>
							</a>
							<p><?php echo $this->subLayout('User/Item/Status')->set('user', $this->me); ?></p>
							<small>
								<?php echo KunenaIcons::clock(); ?>
								<?php echo $this->me->getLastVisitDate()->toKunena('config_post_dateformat'); ?>
							</small>
						</div>
						<div class="divider"></div>

						<?php if ($status) : ?>
							<form action="<?php echo KunenaRoute::_('index.php?option=com_kunena'); ?>" method="post"
							      id="status-form" class="padding015">
								<div>
									<input id="status-online" class="hide" type="radio" value="0" name="status"/>
									<label for="status-online" class="btn btn-link">
										<a href="<?php echo KunenaRoute::_('index.php?option=com_kunena&view=user&task=status&status=0&' . \Joomla\CMS\Session\Session::getFormToken() . '=1'); ?>"
										   class="">
											<?php echo KunenaIcons::online(); ?>
											<?php echo Text::_('COM_KUNENA_ONLINE') ?>
										</a>
									</label>
								</div>

								<div>
									<input id="status-away" class="hide" type="radio" value="1" name="status"/>
									<label for="status-away" class="btn btn-link">
										<a href="<?php echo KunenaRoute::_('index.php?option=com_kunena&view=user&task=status&status=1&' . \Joomla\CMS\Session\Session::getFormToken() . '=1'); ?>"
										   class="">
											<?php echo KunenaIcons::away(); ?>
											<?php echo Text::_('COM_KUNENA_AWAY') ?>
										</a>
									</label>
								</div>
								<div>
									<input id="status-busy" class="hide" type="radio" value="2" name="status"/>
									<label for="status-busy" class="btn btn-link">
										<a href="<?php echo KunenaRoute::_('index.php?option=com_kunena&view=user&task=status&status=2&' . \Joomla\CMS\Session\Session::getFormToken() . '=1');
										?>"
										   class="">
											<?php echo KunenaIcons::busy(); ?>
											<?php echo Text::_('COM_KUNENA_BUSY') ?>
										</a>
									</label>
								</div>
								<div>
									<input id="status-invisible" class="hide" type="radio" value="3" name="status"/>
									<label for="status-invisible" class="btn btn-link">
										<a href="<?php echo KunenaRoute::_('index.php?option=com_kunena&view=user&task=status&status=3&' . \Joomla\CMS\Session\Session::getFormToken() . '=1'); ?>"
										   class="">
											<?php echo KunenaIcons::invisible(); ?>
											<?php echo Text::_('COM_KUNENA_INVISIBLE') ?>
										</a>
									</label>
								</div>
								<input type="hidden" name="view" value="user"/>
								<input type="hidden" name="task" value="status"/>
								<?php echo HTMLHelper::_('form.token'); ?>
							</form>
							<div class="divider"></div>

							<div id="statustext" class="center padding5">
								<?php
								if (version_compare(JVERSION, '4.0', '>'))
								{
									HTMLHelper::_('bootstrap.renderModal', 'statusText');
								}
								else
								{
									HTMLHelper::_('bootstrap.modal', 'statusText');
								}
								?>
								<a data-toggle="modal" data-target="#statusTextModal" class="btn btn-primary">
									<?php echo KunenaIcons::edit(); ?>
									<?php echo Text::_('COM_KUNENA_STATUS') ?>
								</a>
							</div>
							<div class="divider"></div>
						<?php endif; ?>

						<div class="padding015">
						<?php if (!empty($this->announcementsUrl))
							:
							?>
							<div id="announcement">
								<a href="<?php echo $this->announcementsUrl; ?>" class="">
									<?php echo KunenaIcons::pencil(); ?>
									<?php echo Text::_('COM_KUNENA_ANN_ANNOUNCEMENTS') ?>
								</a>
							</div>
						<?php endif; ?>

						<?php if (!empty($this->pm_link))
							:
							?>
							<div id="mail">
								<a href="<?php echo $this->pm_link; ?>" class="">
									<?php echo KunenaIcons::email(); ?>
									<?php echo $this->inboxCount; ?>
								</a>
							</div>
						<?php endif; ?>

						<div id="settings">
							<a href="<?php echo $this->profile_edit_url; ?>" class="">
								<?php echo KunenaIcons::cog(); ?>
								<?php echo Text::_('COM_KUNENA_LOGOUTMENU_LABEL_PREFERENCES'); ?>
							</a>
						</div>
						</div>
						<div class="divider"></div>

						<?php if ($markAllReadUrl)
							:
							?>
							<div id="allread" class="padding015">
								<a href="<?php echo $markAllReadUrl; ?>" class="">
									<?php echo KunenaIcons::drawer(); ?>
									<?php echo Text::_('COM_KUNENA_MARK_ALL_READ'); ?>
								</a>
							</div>
						<?php endif ?>
						<div class="divider"></div>

						<?php echo $this->subLayout('Widget/Module')->set('position', 'kunena_logout'); ?>

						<form action="<?php echo KunenaRoute::_('index.php?option=com_kunena'); ?>" method="post"
						      id="" class="padding10">
							<div class="center">
								<button class="btn btn-inverse" name="submit" type="submit">
									<?php echo KunenaIcons::out(); ?>
									<?php echo Text::_('COM_KUNENA_PROFILEBOX_LOGOUT'); ?>
								</button>
							</div>
							<input type="hidden" name="view" value="user"/>
							<input type="hidden" name="task" value="logout"/>
							<?php echo HTMLHelper::_('form.token'); ?>
						</form>
					<?php endif; ?>
					<?php echo $this->subLayout('Widget/Module')->set('position', 'kunena_logout_bottom'); ?>
				</div>
			</li>
		</ul>
	<?php

	endif; ?>
</div>
<?php } else { ?>
	<div class="jf_ku_login_logout">
		<div class="date" data-toggle="tooltip" data-placement="left" title="<?php echo $this->me->getLastVisitDate()->toKunena('config_post_dateformat'); ?>">
			<svg fill="#000000" height="20" viewBox="0 0 24 24" width="24" xmlns="http://www.w3.org/2000/svg">
				<path d="M11.99 2C6.47 2 2 6.48 2 12s4.47 10 9.99 10C17.52 22 22 17.52 22 12S17.52 2 11.99 2zM12 20c-4.42 0-8-3.58-8-8s3.58-8 8-8 8 3.58 8 8-3.58 8-8 8z"/>
				<path d="M0 0h24v24H0z" fill="none"/>
				<path d="M12.5 7H11v6l5.25 3.15.75-1.23-4.5-2.67z"/>
			</svg>
		</div>
		<div class="center avatar">
			<a href="<?php echo $this->me->getURL(); ?>">
				<?php echo $this->me->getAvatarImage(KunenaFactory::getTemplate()->params->get('avatarType'), 'post'); ?>
				<?php echo $this->subLayout('User/Item/Status')->set('user', $this->me); ?>
			</a>
		</div>
		<div class="center name">
			<div class="jf_ku_login_drp_btn">
				<?php echo $this->me->getName(); ?>
				<svg fill="#000000" height="24" viewBox="0 0 24 24" width="24" xmlns="http://www.w3.org/2000/svg">
					<path d="M7.41 7.84L12 12.42l4.59-4.58L18 9.25l-6 6-6-6z"/>
					<path d="M0-.75h24v24H0z" fill="none"/>
				</svg>
			</div>
			<div class="jf_ku_login_drp_cnt">
				<?php if ($status) : ?>
				<form action="<?php echo KunenaRoute::_('index.php?option=com_kunena'); ?>" method="post" id="status-form" class="jf_ku_status">
						<input id="status-online" class="hide" type="radio" value="0" name="status" />
						<label for="status-online">
							<a href="<?php echo KunenaRoute::_('index.php?option=com_kunena&view=user&task=status&status=0&' . \Joomla\CMS\Session\Session::getFormToken() . '=1'); ?>" 
							class="label label-success hasTooltip" 
							title="<?php echo JText::_('COM_KUNENA_ONLINE') ?>">
								<svg fill="#000000" height="24" viewBox="0 0 24 24" width="24" xmlns="http://www.w3.org/2000/svg">
									<path d="M0 0h24v24H0z" fill="none"/>
									<path d="M9 16.17L4.83 12l-1.42 1.41L9 19 21 7l-1.41-1.41z"/>
								</svg>
							</a>
						</label>
						<input id="status-away" class="hide" type="radio" value="1" name="status" />
						<label for="status-away">
							<a href="<?php echo KunenaRoute::_('index.php?option=com_kunena&view=user&task=status&status=1&' . \Joomla\CMS\Session\Session::getFormToken() . '=1'); ?>" 
							class="label label-warning hasTooltip" 
							title="<?php echo JText::_('COM_KUNENA_AWAY') ?>">
								<svg fill="#000000" height="24" viewBox="0 0 24 24" width="24" xmlns="http://www.w3.org/2000/svg">
									<path d="M0 0h24v24H0z" fill="none"/>
									<path d="M13.49 5.48c1.1 0 2-.9 2-2s-.9-2-2-2-2 .9-2 2 .9 2 2 2zm-3.6 13.9l1-4.4 2.1 2v6h2v-7.5l-2.1-2 .6-3c1.3 1.5 3.3 2.5 5.5 2.5v-2c-1.9 0-3.5-1-4.3-2.4l-1-1.6c-.4-.6-1-1-1.7-1-.3 0-.5.1-.8.1l-5.2 2.2v4.7h2v-3.4l1.8-.7-1.6 8.1-4.9-1-.4 2 7 1.4z"/>
								</svg>
							</a>
						</label>
						<input id="status-busy" class="hide" type="radio" value="2" name="status" />
						<label for="status-busy">
							<a href="<?php echo KunenaRoute::_('index.php?option=com_kunena&view=user&task=status&status=2&' . \Joomla\CMS\Session\Session::getFormToken() . '=1');?>" 
							class="label label-important hasTooltip" 
							title="<?php echo JText::_('COM_KUNENA_BUSY') ?>">
								<svg fill="#000000" height="24" viewBox="0 0 24 24" width="24" xmlns="http://www.w3.org/2000/svg">
									<path d="M19 13H5v-2h14v2z"/>
									<path d="M0 0h24v24H0z" fill="none"/>
								</svg>
							</a>
						</label>
						<input id="status-invisible" class="hide" type="radio" value="3" name="status" />
						<label for="status-invisible">
							<a href="<?php echo KunenaRoute::_('index.php?option=com_kunena&view=user&task=status&status=3&' . \Joomla\CMS\Session\Session::getFormToken() . '=1'); ?>" 
							class="label label-default hasTooltip" 
							title="<?php echo JText::_('COM_KUNENA_INVISIBLE') ?>">
								<svg fill="#000000" height="24" viewBox="0 0 24 24" width="24" xmlns="http://www.w3.org/2000/svg">
									<path d="M0 0h24v24H0zm0 0h24v24H0zm0 0h24v24H0zm0 0h24v24H0z" fill="none"/>
									<path d="M12 7c2.76 0 5 2.24 5 5 0 .65-.13 1.26-.36 1.83l2.92 2.92c1.51-1.26 2.7-2.89 3.43-4.75-1.73-4.39-6-7.5-11-7.5-1.4 0-2.74.25-3.98.7l2.16 2.16C10.74 7.13 11.35 7 12 7zM2 4.27l2.28 2.28.46.46C3.08 8.3 1.78 10.02 1 12c1.73 4.39 6 7.5 11 7.5 1.55 0 3.03-.3 4.38-.84l.42.42L19.73 22 21 20.73 3.27 3 2 4.27zM7.53 9.8l1.55 1.55c-.05.21-.08.43-.08.65 0 1.66 1.34 3 3 3 .22 0 .44-.03.65-.08l1.55 1.55c-.67.33-1.41.53-2.2.53-2.76 0-5-2.24-5-5 0-.79.2-1.53.53-2.2zm4.31-.78l3.15 3.15.02-.16c0-1.66-1.34-3-3-3l-.17.01z"/>
								</svg>
							</a>
						</label>
					<input type="hidden" name="view" value="user"/>
					<input type="hidden" name="task" value="status"/>
					<?php echo HTMLHelper::_('form.token'); ?>
				</form>
				<?php endif ?>
				<div class="jf_ku_login_menu">
					<?php if ($status) : ?>
						<?php
						if (version_compare(JVERSION, '4.0', '>'))
						{
							HTMLHelper::_('bootstrap.renderModal', 'statusText');
						}
						else
						{
							HTMLHelper::_('bootstrap.modal', 'statusText');
						}
						?>
						<a data-toggle="modal" data-target="#statusTextModal">
							<svg fill="#000000" height="24" viewBox="0 0 24 24" width="24" xmlns="http://www.w3.org/2000/svg">
								<path d="M3 17.25V21h3.75L17.81 9.94l-3.75-3.75L3 17.25zM20.71 7.04c.39-.39.39-1.02 0-1.41l-2.34-2.34c-.39-.39-1.02-.39-1.41 0l-1.83 1.83 3.75 3.75 1.83-1.83z"/>
								<path d="M0 0h24v24H0z" fill="none"/>
							</svg>
							<?php echo JText::_('COM_KUNENA_STATUS') ?>
						</a>
					<?php endif; ?>
					<?php if (!$status) { ?><div class="clear" style="height:15px;"></div><?php } ?>

					<?php if (!empty($this->announcementsUrl)) : ?>
						<a href="<?php echo $this->announcementsUrl; ?>">
							<svg fill="#000000" height="24" viewBox="0 0 24 24" width="24" xmlns="http://www.w3.org/2000/svg">
								<path d="M12 15c1.66 0 2.99-1.34 2.99-3L15 6c0-1.66-1.34-3-3-3S9 4.34 9 6v6c0 1.66 1.34 3 3 3zm5.3-3c0 3-2.54 5.1-5.3 5.1S6.7 15 6.7 12H5c0 3.42 2.72 6.23 6 6.72V22h2v-3.28c3.28-.48 6-3.3 6-6.72h-1.7z"/>
								<path d="M0 0h24v24H0z" fill="none"/>
							</svg>
							<?php echo JText::_('COM_KUNENA_ANN_ANNOUNCEMENTS') ?>
						</a>
					<?php endif; ?>

					<?php if (!empty($this->pm_link)) : ?>
						<a href="<?php echo $this->pm_link; ?>">
							<svg fill="#000000" height="24" viewBox="0 0 24 24" width="24" xmlns="http://www.w3.org/2000/svg">
								<path d="M0 0h24v24H0z" fill="none"/>
								<path d="M20 4H4c-1.1 0-1.99.9-1.99 2L2 18c0 1.1.9 2 2 2h16c1.1 0 2-.9 2-2V6c0-1.1-.9-2-2-2zm0 14H4V8l8 5 8-5v10zm-8-7L4 6h16l-8 5z"/>
							</svg>
							<?php echo $this->inboxCount; ?>
						</a>
					<?php endif; ?>

						<a href="<?php echo $this->profile_edit_url; ?>">
							<svg fill="#000000" height="24" viewBox="0 0 24 24" width="24" xmlns="http://www.w3.org/2000/svg">
								<path d="M0 0h24v24H0z" fill="none"/>
								<path d="M19.43 12.98c.04-.32.07-.64.07-.98s-.03-.66-.07-.98l2.11-1.65c.19-.15.24-.42.12-.64l-2-3.46c-.12-.22-.39-.3-.61-.22l-2.49 1c-.52-.4-1.08-.73-1.69-.98l-.38-2.65C14.46 2.18 14.25 2 14 2h-4c-.25 0-.46.18-.49.42l-.38 2.65c-.61.25-1.17.59-1.69.98l-2.49-1c-.23-.09-.49 0-.61.22l-2 3.46c-.13.22-.07.49.12.64l2.11 1.65c-.04.32-.07.65-.07.98s.03.66.07.98l-2.11 1.65c-.19.15-.24.42-.12.64l2 3.46c.12.22.39.3.61.22l2.49-1c.52.4 1.08.73 1.69.98l.38 2.65c.03.24.24.42.49.42h4c.25 0 .46-.18.49-.42l.38-2.65c.61-.25 1.17-.59 1.69-.98l2.49 1c.23.09.49 0 .61-.22l2-3.46c.12-.22.07-.49-.12-.64l-2.11-1.65zM12 15.5c-1.93 0-3.5-1.57-3.5-3.5s1.57-3.5 3.5-3.5 3.5 1.57 3.5 3.5-1.57 3.5-3.5 3.5z"/>
							</svg>
							<?php echo JText::_('COM_KUNENA_LOGOUTMENU_LABEL_PREFERENCES'); ?>
						</a>

					<?php if ($markAllReadUrl) : ?>
						<a href="<?php echo $markAllReadUrl; ?>">
							<svg fill="#000000" height="24" viewBox="0 0 24 24" width="24" xmlns="http://www.w3.org/2000/svg">
								<path d="M0 0h24v24H0z" fill="none"/>
								<path d="M18 7l-1.41-1.41-6.34 6.34 1.41 1.41L18 7zm4.24-1.41L11.66 16.17 7.48 12l-1.41 1.41L11.66 19l12-12-1.42-1.41zM.41 13.41L6 19l1.41-1.41L1.83 12 .41 13.41z"/>
							</svg>
							<?php echo JText::_('COM_KUNENA_MARK_ALL_READ'); ?>
						</a>
					<?php endif ?>

					<form action="<?php echo KunenaRoute::_('index.php?option=com_kunena'); ?>" method="post">
							<button name="submit" type="submit">
								<svg fill="#000000" height="24" viewBox="0 0 24 24" width="24" xmlns="http://www.w3.org/2000/svg">
									<path d="M0 0h24v24H0z" fill="none"/>
									<path d="M10.09 15.59L11.5 17l5-5-5-5-1.41 1.41L12.67 11H3v2h9.67l-2.58 2.59zM19 3H5c-1.11 0-2 .9-2 2v4h2V5h14v14H5v-4H3v4c0 1.1.89 2 2 2h14c1.1 0 2-.9 2-2V5c0-1.1-.9-2-2-2z"/>
								</svg>
								<?php echo JText::_('COM_KUNENA_PROFILEBOX_LOGOUT'); ?>
							</button>
						<input type="hidden" name="view" value="user" />
						<input type="hidden" name="task" value="logout" />
						<?php echo HTMLHelper::_('form.token'); ?>
					</form>
				</div>
			</div>
		</div>
		<?php echo $this->subLayout('Widget/Module')->set('position', 'kunena_logout_bottom'); ?>
	</div>
<?php } ?>
<form action="<?php echo KunenaRoute::_('index.php?option=com_kunena'); ?>" method="post" id="status-text-form"
      class="form-inline">
	<?php echo $this->subLayout('Widget/Modal')
		->set('id', 'statusTextModal')
		->set('name', 'status_text')
		->set('label', Text::_('COM_KUNENA_STATUS_MESSAGE'))
		->set('description', Text::_('COM_KUNENA_STATUS_TYP'))
		->set('data', $this->me->status_text)
		->set('form', 'status-text-form'); ?>
	<input type="hidden" name="view" value="user"/>
	<input type="hidden" name="task" value="statustext"/>
	<?php echo HTMLHelper::_('form.token'); ?>
</form>
<script type='text/javascript'>
	jQuery(document).ready(function ($) {
		$("input[name=status]").change(function () {
			$("#status-form").submit();
		});

		$("btn_statustext") .click(function() {
			$("#status-text-form").submit();
		});
	});
</script>
