<?php
/**
 * Kunena Component
 * @package         Kunena.Template.Crypsis
 * @subpackage      Layout.Search
 *
 * @copyright       Copyright (C) 2008 - 2018 Kunena Team. All rights reserved.
 * @license         https://www.gnu.org/copyleft/gpl.html GNU/GPL
 * @link            https://www.kunena.org
 **/
defined('_JEXEC') or die;

use Joomla\CMS\HTML\HTMLHelper;
use Joomla\CMS\Language\Text;
$this->me       = KunenaFactory::getUser();
$childforums = (int) (!isset($this->childforums) || $this->childforums);
?>

<form action="<?php echo KunenaRoute::_(); ?>" method="post" class="form-search">
	<input type="hidden" name="view" value="search"/>
	<input type="hidden" name="task" value="results"/>

	<?php if (isset($this->catid))
		:
		?>
		<input type="hidden" name="catids[]" value="<?php echo $this->catid; ?>"/>
	<?php endif; ?>

	<?php if (isset($this->id))
		:
		?>
		<input type="hidden" name="ids[]" value="<?php echo $this->id; ?>"/>
	<?php endif; ?>

	<input type="hidden" name="childforums" value="<?php echo $childforums; ?>"/>
	<?php echo HTMLHelper::_('form.token'); ?>
	
	<div class="jf_ku_side_login_btn">
		<?php if (!$this->me->exists()) { ?>
			<svg fill="#000000" height="24" viewBox="0 0 24 24" width="24" xmlns="http://www.w3.org/2000/svg"><path d="M0 0h24v24H0z" fill="none"></path><path d="M18 8h-1V6c0-2.76-2.24-5-5-5S7 3.24 7 6v2H6c-1.1 0-2 .9-2 2v10c0 1.1.9 2 2 2h12c1.1 0 2-.9 2-2V10c0-1.1-.9-2-2-2zm-6 9c-1.1 0-2-.9-2-2s.9-2 2-2 2 .9 2 2-.9 2-2 2zm3.1-9H8.9V6c0-1.71 1.39-3.1 3.1-3.1 1.71 0 3.1 1.39 3.1 3.1v2z"></path></svg>
		<?php } else { ?>
			<div class="jf_ku_hamb_icon"></div>
		<?php } ?>
	</div>
	<button type="submit">
		<svg fill="#000000" height="24" viewBox="0 0 24 24" width="24" xmlns="http://www.w3.org/2000/svg">
			<path d="M15.5 14h-.79l-.28-.27C15.41 12.59 16 11.11 16 9.5 16 5.91 13.09 3 9.5 3S3 5.91 3 9.5 5.91 16 9.5 16c1.61 0 3.09-.59 4.23-1.57l.27.28v.79l5 4.99L20.49 19l-4.99-5zm-6 0C7.01 14 5 11.99 5 9.5S7.01 5 9.5 5 14 7.01 14 9.5 11.99 14 9.5 14z"/>
			<path d="M0 0h24v24H0z" fill="none"/>
		</svg>
	</button>
	<input class="input-medium search-query" type="text" name="query" value="" placeholder="<?php echo Text::_('COM_KUNENA_MENU_SEARCH'); ?> ..." />
</form>
