<?php
/**
 * Kunena Component
 * @package         Kunena.Template.Crypsis
 * @subpackage      Layout.Search
 *
 * @copyright       Copyright (C) 2008 - 2018 Kunena Team. All rights reserved.
 * @license         https://www.gnu.org/copyleft/gpl.html GNU/GPL
 * @link            https://www.kunena.org
 **/
defined('_JEXEC') or die;
$config = KunenaFactory::getConfig();
?>
<div class="navbar jf_ku_newbar">
	<div class="navbar-inner">
		<div class="pull-left jf_ku_newbar_widget_search">
			<?php echo $this->subLayout('Widget/Search')
			->set('catid', 'all')
			->setLayout('topic2'); ?>
		</div>
		<div class="pull-right jf_ku_newbar_btns">
			<?php if ($config->showannouncement) { ?>
				<div class="jf_ku_newbar_announc">
					<a href="<?php echo KunenaRoute::normalize("index.php?option=com_kunena&view=announcement&layout=list"); ?>" data-toggle="tooltip" data-placement="left" title="<?php echo JText::_('COM_KUNENA_ANN_ANNOUNCEMENTS') ?>">
						<svg fill="#000000" height="24" viewBox="0 0 24 24" width="24" xmlns="http://www.w3.org/2000/svg">
							<path d="M12 15c1.66 0 2.99-1.34 2.99-3L15 6c0-1.66-1.34-3-3-3S9 4.34 9 6v6c0 1.66 1.34 3 3 3zm5.3-3c0 3-2.54 5.1-5.3 5.1S6.7 15 6.7 12H5c0 3.42 2.72 6.23 6 6.72V22h2v-3.28c3.28-.48 6-3.3 6-6.72h-1.7z"/>
							<path d="M0 0h24v24H0z" fill="none"/>
						</svg>
					</a>
				</div>
			<?php } ?>
			<div class="jf_ku_newbar_newtopic">
				<a class="btn btn-primary" href="<?php echo KunenaRoute::_('index.php?option=com_kunena&view=topic&layout=create') ?>">
					<span><?php echo JText::_('COM_KUNENA_BUTTON_TOPIC_CREATE'); ?></span>
					<svg fill="#ffffff" height="20" viewBox="0 0 24 24" width="24" xmlns="http://www.w3.org/2000/svg">
						<path d="M3 17.25V21h3.75L17.81 9.94l-3.75-3.75L3 17.25zM20.71 7.04c.39-.39.39-1.02 0-1.41l-2.34-2.34c-.39-.39-1.02-.39-1.41 0l-1.83 1.83 3.75 3.75 1.83-1.83z"/>
						<path d="M0 0h24v24H0z" fill="none"/>
					</svg>
				</a>
			</div>
		</div>
	</div>
</div>
